<?php

return [
    'lean' => [
        'autoload' => [
            'lean.default',
            getenv('DEBUG') ? 'lean.console' : null,
            '%APPKEY%',
        ],
    ],

    'keys' => (function() {
        return explode(',', getenv('KEYS') ?? "") ;
    })(),

    'meta' => [
        'application_name' => "",
    ],

    'api' => [
        'auth' => [
            'type' => \CSLSJ\Api\AuthType::AUTH_HEADER_BASIC,
            'username' => getenv('CSSLSJ_API_USERNAME'),
            'password' => getenv('CSSLSJ_API_PASSWORD'),
        ]
    ],

    'ulmus' => [
        'connections' => [
            'default' => [
                'adapter'  => getenv("DATABASE_ADAPTER"),
                'host'     => getenv("DATABASE_HOST"),
                'port'     => getenv("DATABASE_PORT"),
                'database' => getenv("DATABASE_NAME"),
                'username' => getenv("DATABASE_USERNAME"),
                'password' => getenv("DATABASE_PASSWORD"),
                'settings' => [
                    'charset' => getenv("DATABASE_CHARSET"),
                ],
            ],
        ]
    ]
];
